Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
firefox 5 and gnome 3 [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
jancici
Apprentice
Apprentice


Joined: 27 Jan 2004
Posts: 284
Location: Slovakia

PostPosted: Tue Jun 28, 2011 3:36 pm    Post subject: firefox 5 and gnome 3 [SOLVED] Reply with quote

hi

I am using gnome3 from overlay. Some day ago there was update of firefox to 5.0 and later to 5.0-r1.
Firefox is sometime crashing. This is from terminal:
Code:
# firefox
pure virtual method called
terminate called without an active exception
Aborted


That is situation on my laptop.
I have PC at work where I am running gnome 2.32 {dpon;t know exactly} and firefox 5.0-r1 is stable.

is anybody has same or similar problem?
thanks for help / answers


Last edited by jancici on Mon Jul 11, 2011 5:55 am; edited 1 time in total
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 6194

PostPosted: Tue Jun 28, 2011 6:52 pm    Post subject: Reply with quote

Well, there's a bug about it...
OK, not quite, actually it's being hijacked by this topic :twisted:
Back to top
View user's profile Send private message
tomk
Bodhisattva
Bodhisattva


Joined: 23 Sep 2003
Posts: 7221
Location: Sat in front of my computer

PostPosted: Wed Jun 29, 2011 9:33 am    Post subject: Reply with quote

Moved from Desktop Environments to Unsupported Software as overlay ebuilds are not officially supported.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
Moonboots
Tux's lil' helper
Tux's lil' helper


Joined: 02 Dec 2006
Posts: 137

PostPosted: Wed Jun 29, 2011 10:19 am    Post subject: Re: firefox 5 and gnome 3 Reply with quote

jancici wrote:
is anybody has same or similar problem?
thanks for help / answers


You're not alone, i have the same problem also with gnome 3 overlay. Firefox-bin also crashes with same error.
I thought it was because of noscript add-on, but it still crashes without it. Also the add-on works on windows and ubuntu versions
without a problem ?
Back to top
View user's profile Send private message
misterjack
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1618
Location: Germany -> Saxony -> Leipzig

PostPosted: Wed Jun 29, 2011 10:04 pm    Post subject: Reply with quote

Same problem here too. My cousin have it too :) You both are not alone. I've downgraded to 4.0.1-r1.
_________________
„Meine Meinung steht fest! Bitte verwirren Sie mich nicht mit Tatsachen.“
Back to top
View user's profile Send private message
Naib
Watchman
Watchman


Joined: 21 May 2004
Posts: 5702
Location: Removed by Neddy

PostPosted: Wed Jun 29, 2011 10:28 pm    Post subject: Reply with quote

odd working fine here oO ff5+gnome3
_________________
The best argument against democracy is a five-minute conversation with the average voter
Great Britain is a republic, with a hereditary president, while the United States is a monarchy with an elective king
Back to top
View user's profile Send private message
tuxtor
n00b
n00b


Joined: 22 Apr 2007
Posts: 43
Location: Guatemala

PostPosted: Thu Jun 30, 2011 5:33 am    Post subject: Reply with quote

Also confirmed, ff5+gnome 3 crash with the same error.
Back to top
View user's profile Send private message
jancici
Apprentice
Apprentice


Joined: 27 Jan 2004
Posts: 284
Location: Slovakia

PostPosted: Thu Jun 30, 2011 6:14 pm    Post subject: Reply with quote

I am using tiny tiny RSS webapp : http://tt-rss.org/redmine/
I have that app on my server.
When login page is loading firefox5 in gnome3 is crashing.
When I am doing same thing with firefox5 + gnome 2.32 it is working well.
Back to top
View user's profile Send private message
gqman69
n00b
n00b


Joined: 11 Jul 2007
Posts: 50

PostPosted: Thu Jun 30, 2011 8:10 pm    Post subject: Reply with quote

I am on KDE and it does the same thing on my desktop computer.

On KDE + Laptop it crashes --> segmentation fault

Reverted to 5.0_beta5, works fine.

WTH, why is external xulrunner not used?
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2251
Location: Germany

PostPosted: Fri Jul 01, 2011 8:44 am    Post subject: Reply with quote

Firefox 5.0 Crash here on these sides too, if I am in a gnome3 Session. After changing into a Fluxbox session, browsing works just fine.
Back to top
View user's profile Send private message
Moonboots
Tux's lil' helper
Tux's lil' helper


Joined: 02 Dec 2006
Posts: 137

PostPosted: Tue Jul 05, 2011 4:35 pm    Post subject: Reply with quote

The problem seems to be solved by remerging libproxy without xulrunner flag.
Thanks to those people who found the solution https://bugs.gentoo.org/show_bug.cgi?id=373397
Back to top
View user's profile Send private message
jancici
Apprentice
Apprentice


Joined: 27 Jan 2004
Posts: 284
Location: Slovakia

PostPosted: Mon Jul 11, 2011 5:55 am    Post subject: Reply with quote

I am using
Code:
[ebuild   R   ~] www-client/firefox-5.0-r2  USE="alsa dbus ipc libnotify methodjit startup-notification webm -bindist -custom-cflags -custom-optimization -debug -pgo -system-sqlite -wifi" LINGUAS="en en_GB sk -af -ak -ar -ast -be -bg -bn -bn_BD -bn_IN -br -bs -ca -cs -cy -da -de -el -en_US -en_ZA -eo -es -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy -fy_NL -ga -ga_IE -gd -gl -gu -gu_IN -he -hi -hi_IN -hr -hu -hy -hy_AM -id -is -it -ja -kk -kn -ko -ku -lg -lt -lv -mai -mk -ml -mr -nb -nb_NO -nl -nn -nn_NO -nso -or -pa -pa_IN -pl -pt -pt_BR -pt_PT -rm -ro -ru -si -sl -son -sq -sr -sv -sv_SE -ta -ta_LK -te -th -tr -uk -vi -zh -zh_CN -zh_TW -zu" 0 kB

and
Code:
[ebuild   R   ~] net-libs/libproxy-0.4.6-r3  USE="gnome networkmanager perl python -kde -mono -test -vala" 0 kB

and
Code:
[ebuild   R   ~] net-libs/xulrunner-2.0.1-r1  USE="alsa crashreporter dbus ipc libnotify startup-notification webm -custom-cflags -custom-optimization -debug -gconf -system-sqlite -wifi" 0 kB



for a while and has NO problems.
I am changing this as solved ...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum